Subject: Re: [PATCH 1/3] powerpc/pseries: Simplify cpu readd to use drc_index

From: Nathan Lynch <[email-masked]>
Date: Thu, 16 May 2019 14:17:38 -0500

Tyrel Datwyler <[email-masked]> writes:
> The current dlpar_cpu_readd() takes in a cpu_id and uses that to look up
> the cpus device_node so that we can get at the ibm,my-drc-index
> property. The only user of cpu readd is an OF notifier call back. This
> call back already has a reference to the device_node and therefore can
> retrieve the drc_index from the device_node.

dlpar_cpu_readd is a hack to try to change the CPU-node relationship at
runtime without destabilizing the system. It doesn't accomplish that and
it should just be removed (and I'm working on that).